from sqlalchemy import Column, Integer, String, DateTime, Text
from sqlalchemy.engine.base import Transaction

from .database import Base
from datetime import datetime


class order_info_linepay(Base):
    __tablename__ = "order_info_linepay"
    
    id = Column(Integer, primary_key=True, nullable=False)
    orderid = Column(String(255), unique=True, nullable=False)
    email = Column(String(255), nullable=False)
    phone = Column(String(20))
    full_name = Column(String(50))
    transaction_date = Column(DateTime, nullable=False, default=datetime.now())


class User(Base):
    __tablename__ = "users"
    id = Column(Integer, primary_key=True, nullable= False)
    username = Column(String(45))
    email = Column(String(60))
    password = Column(String(128))
    token = Column(String(256), default=None)
    left_time = Column(Integer, default=None)
    last_stored = Column(datetime, default=None)
    line_token = Column(String(256), default=None)
    veri_url = Column(Text, default=None)
    invite_code = Column(Text, default=None)

## this is for ORM model  define database model