from logging import disable
from typing import Optional

from pydantic import BaseModel, validator, EmailStr
from datetime import datetime

from sqlalchemy.sql.expression import text


class UserSchema(BaseModel):
    """[summary]

    Args:
        BaseModel ([type]): [description]
    """
    id: int
    email: EmailStr
    username: str
    password: str
    token: Optional[str] = None
    left_time: Optional[int] = None
    last_stored: Optional[datetime] = None
    line_token: Optional[str] = None
    veri_url: Optional[str] = None
    class Config:
        orm_mode = True



class order_info_linepay(BaseModel):
    """[summary]

    Args:
        BaseModel ([type]): [description]
    """
    id: int
    # UUID4 validation???
    orderid: str
    email: EmailStr
    # phone: phone??
    # @validator('phone')
    # def check_phone()
    phone: Optional[str] = None
    full_name: Optional[str] = None
    transaction_date: datetime = datetime.now()
    ## this is to avoid lazy loading problem
    class Config:
        orm_mode = True

## this is for data parsing&&&data validation